Unfortunately, the answer is no to both questions. See IE7: System Requirements, IE8: System Requirements, & Google Chrome.

Joe